# $Revision: 1.9 $, $Date: 2005/10/24 18:30:14 $
Summary:	libenchant - generic spell checking library
Summary(pl):	libenchant - oglna biblioteka sprawdzania pisowni
Name:		enchant
Version:	1.2.0
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://www.abisource.com/downloads/enchant/1.2.0/%{name}-%{version}.tar.gz
# Source0-md5:	e44a734a85fbbadf898fb935ac346f31
URL:		http://www.abisource.com/enchant/
BuildRequires:	aspell-devel >= 2:0.50.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	uspell-devel >= 1.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This project aims to provide an efficient, extensible abstraction for
dealing with different spell checking libraries. Enchant is meant to
provide a generic interface into various existing spell checking
libraries. These include, but are not limited to: Aspell/Pspell,
Ispell, Hspell, Uspell.

Enchant is also meant to be used in a cross-platform environment. Part
of this means that Enchant wants to limit its number of external
dependencies to 0, or as close is as humanly possible. Also, any
enchant consumer (i.e. a Word Processor) should not need to know about
what backend providers Enchant knows about. In fact, Enchant shouldn't
even need to know this information itself. To accomplish this, all of
Enchant's providers are dynamically loaded modules.

Enchant is also meant to be used in a multi-user environment, such as
Unix. It is preferable to have both a $USER and a $GLOBAL location for
both provider modules and for dictionaries themselves, when possible.
Enchant's module location algorithm takes this into account, and gives
preference to the $USER resources, when found.

%description -l pl
Celem projektu jest dostarczenie wydajnej i rozszerzalnej abstrakcji
do obsugi rnych bibliotek kontroli pisowni. Enchant ma dostarcza
oglny interfejs do rnych istniejcych bibliotek. Obejmuj one (ale
nie s ograniczone do): Aspella/Pspella, Ispella, Hspella, Uspella.

Enchant ma by take uywany w rodowisku wieloplatformowym. Oznacza
to midzy innymi, e Enchant ma mie ograniczon liczb zewntrznych
zalenoci do zera lub najbliej jak to moliwe. Take dowolny klient
enchanta (czyli procesor tekstu) nie powinien potrzebowa wiedzy,
jakie backendy s dostpne dla Enchanta. W rzeczywistoci nawet
Enchant nie powinien potrzebowa takiej informacji. Aby to osign,
wszystkie backendy Enchanta s dynamicznie adowanymi moduami.

Enchant ma by take uywany w rodowisku wielouytkownikowym, takim
jak Unix. Preferuje si, eby istniay zarwno specyficzne dla
uytkownika jak i globalne lokalizacje zarwno dla moduw jak i
samych sownikw, jeli to moliwe. Algorytm poszukiwania moduw
Enchanta bierze to pod uwag i preferuje zasoby uytkownika, jeli
takie znajdzie.

%package devel
Summary:	Header files for enchant library
Summary(pl):	Pliki nagwkowe biblioteki enchant
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 2.0

%description devel
Header files for enchant library.

%description devel -l pl
Pliki nagwkowe biblioteki enchant.

%package static
Summary:	Static enchant library
Summary(pl):	Statyczna biblioteka enchant
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static enchant library.

%description static -l pl
Statyczna biblioteka enchant.

%package aspell
Summary:	aspell provider module for Enchant
Summary(pl):	Modu obsugujcy aspella dla Enchanta
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	aspell >= 2:0.50.0

%description aspell
aspell provider module for Enchant.

%description aspell -l pl
Modu obsugujcy aspella dla Enchanta.

%package ispell
Summary:	ispell provider module for Enchant
Summary(pl):	Modu obsugujcy ispella dla Enchanta
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description ispell
ispell provider module for Enchant.

%description ispell -l pl
Modu obsugujcy ispella dla Enchanta.

%package myspell
Summary:	myspell provider module for Enchant
Summary(pl):	Modu obsugujcy myspella dla Enchanta
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description myspell
myspell provider module for Enchant.

%description myspell -l pl
Modu obsugujcy myspella dla Enchanta.

%package uspell
Summary:	uspell provider module for Enchant
Summary(pl):	Modu obsugujcy uspella dla Enchanta
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description uspell
uspell provider module for Enchant.

%description uspell -l pl
Modu obsugujcy uspella dla Enchanta.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I ac-helpers
%{__autoconf}
%{__automake}
%configure \
	--disable-binreloc \
	--with-ispell-dir=/usr/lib/ispell \
	--with-uspell-dir=/usr/share/uspell
# --with-myspell-dir=/some/where

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# useless - modules loaded through libgmodule
rm -f $RPM_BUILD_ROOT%{_libdir}/enchant/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README TODO
%attr(755,root,root) %{_bindir}/enchant
%attr(755,root,root) %{_bindir}/enchant-lsmod
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%dir %{_libdir}/enchant
%{_datadir}/enchant
%{_mandir}/man1/enchant.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/enchant
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files aspell
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/enchant/libenchant_aspell.so*

%files ispell
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/enchant/libenchant_ispell.so*

%files myspell
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/enchant/libenchant_myspell.so*

%files uspell
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/enchant/libenchant_uspell.so*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: enchant.spec,v $
Revision 1.9  2005/10/24 18:30:14  qboosh
- updated to 1.2.0

Revision 1.8  2005/08/17 19:47:37  paladine
- updated to 1.1.6

Revision 1.7  2005/01/05 22:40:01  havner
- rel 2 for aspell 0.50 rebuild

Revision 1.6  2004/12/01 19:22:12  qboosh
- updated to 1.1.5, strict internal deps, aspell epoch

Revision 1.5  2004/01/28 17:51:09  undefine
- ac/am/lt, release 2

Revision 1.4  2003/12/23 09:09:37  trojan
- updated to 1.1.3

Revision 1.3  2003/12/08 11:25:40  trojan
- updated to 1.1.2

Revision 1.2  2003/10/30 20:13:42  qboosh
- enabled uspell support

Revision 1.1  2003/10/30 18:50:01  qboosh
- new
